org.apache.synapse.securevault.definition

## Class TrustKeyStoreInformation

- java.lang.Object
- - org.apache.synapse.securevault.definition.KeyStoreInformation
  - - org.apache.synapse.securevault.definition.TrustKeyStoreInformation

-     public class TrustKeyStoreInformation
      extends KeyStoreInformation

  Represents the abstraction - Trusted Certificate Store Information

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.securevault.definition.KeyStoreInformation

      `ENABLE_HOST_NAME_VERIFIER, KEY_STORE_CERTIFICATE_FILE_PATH, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrustKeyStoreInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrustManagerFactory` | `getTrustManagerFactoryInstance()` Returns the TrustManagerFactory instance
    `KeyStore` | `getTrustStore()` Returns a KeyStore instance that has been created using trust store

    - ### Methods inherited from class org.apache.synapse.securevault.definition.KeyStoreInformation

      `addParameter, getAlias, getKeyStore, getKeyStorePasswordProvider, getLocation, getParameter, getProvider, handleException, handleException, setAlias, setKeyStorePasswordProvider, setLocation, setProvider, setStoreType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrustKeyStoreInformation

          public TrustKeyStoreInformation()

  - ### Method Detail

    - #### getTrustManagerFactoryInstance

          public TrustManagerFactory getTrustManagerFactoryInstance()

      Returns the TrustManagerFactory instance
      Returns:
        TrustManagerFactory instance

    - #### getTrustStore

          public KeyStore getTrustStore()

      Returns a KeyStore instance that has been created using trust store
      Returns:
        KeyStore Instance

Copyright © 2005–2024 Apache Software Foundation. All rights reserved.